Summary:       ALSA C++ library
Name:          zita-alsa-pcmi
Version:       0.2.0
Release:       6%{?dist}
License:       GPLv3+
Group:         System Environment/Libraries
URL:           http://kokkinizita.linuxaudio.org
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Patch1:        %{name}-%{version}-apps.patch
Patch2:        %{name}-%{version}-libs.patch

BuildRequires: alsa-lib-devel
%description
%{name} is the successor of clalsadrv. It provides easy access
to ALSA PCM devices, taking care of the many functions required to
open, initialise and use a hw: device in mmap mode, and providing
floating point audio data.

%package  devel
Summary:       Development libraries and headers for %{name}
Group:         Development/Libraries
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the headers and development libraries for %{name}.


%package  utils
Summary:       ALSA utilities using the %{name} library
Group:         Applications/Multimedia
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description utils
This package contains the headers and development libraries for %{name}.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
export OPTFLAGS="%{optflags}"
make PREFIX=%{_prefix} LIBDIR=%{_libdir} %{?_smp_mflags} -C libs 
make PREFIX=%{_prefix} LIBDIR=%{_libdir} %{?smp_mflags} -C apps

%install
make DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_lib} install -C libs
make DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_lib} install -C apps



# correct permisions (prevent unstripped binary or object message)
chmod 755 %{buildroot}%{_libdir}/lib%{name}.so.%{version}
# install missing symlink (was giving no-ldconfig-symlink rpmlint errors)
ldconfig -n %{buildroot}%{_libdir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING README
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

%files utils
%{_bindir}/alsa_delay
%{_bindir}/alsa_loopback

%changelog
* Thu Jun 21 2012 Jørn Lomax <northlomax@gmail.com> 0.2.0-6
- changed from OPTFLAGS as argument to using export in build
* Mon Jun 18 2012 Jørn Lomax <northlomax@gmail.com> 0.2.0-5
- fixed changelog to fit requirements
- added patches to remove sed lines 
* Thu Jun 14 2012 Jørn Lomax <northlomax@gmail.com> 0.2.0-4
- replaced ln with ldconig in the install section
* Thu Jun 14 2012 Jørn Lomax <northlomax@gmail.com> 0.2.0-3
- Edited back to original to prevent rpmlint warnings
* Fri Jun 8  2012 Jørn Lomax <northlomax@gmail.com> 0.2.0-2
- Cleaned up spec for review
* Wed May 23 2012 Jorn Lomax <northlomax@gmail.com> 0.2.0-1
- Initial SPEC creation

